/*********************************************************
* Conversion d'image RGB­> HSV > RGB
* Date: 24-Mai-2021
* Auteur: Yann Roberge
*********************************************************/

#ifndef RGB2HSV_H
#define RGB2HSV_H

#include "main.h"
#include <stdint.h>

// Image definition

// Pixel struct unpacked for processing
typedef struct {
    uint16_t hue;
    float sat;
    uint8_t value;
} PixelHSV;

// Functions
void rgb2hsv(PixelHSV* hsv, PixelRGB8* rgb);
void hsv2rgb(PixelRGB8* rgb, PixelHSV* hsv);

#endif

